Package it.ernytech.tdlib

## Class TdApi.MessageForwardedPost

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.MessageForwardInfo
    - - it.ernytech.tdlib.TdApi.MessageForwardedPost

Enclosing class:
  TdApi

    public static class TdApi.MessageForwardedPost
    extends TdApi.MessageForwardInfo

The message was originally a post in a channel.

### Field Summary

Fields
`java.lang.String` `authorSignature` Post author signature.
`long` `chatId` Identifier of the chat from which the message was forwarded.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `date` Point in time (Unix timestamp) when the message was originally sent.
`long` `forwardedFromChatId` For messages forwarded to the chat with the current user (saved messages), the identifier of the chat from which the message was forwarded; 0 if unknown.
`long` `forwardedFromMessageId` For messages forwarded to the chat with the current user (saved messages), the identifier of the original message from which the new message was forwarded; 0 if unknown.
`long` `messageId` Message identifier of the original message from which the new message was forwarded; 0 if unknown.

### Constructor Summary

Constructors
`MessageForwardedPost()` Default constructor.
`MessageForwardedPost​(long chatId, java.lang.String authorSignature, int date, long messageId, long forwardedFromChatId, long forwardedFromMessageId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### chatId

    public long chatId

Identifier of the chat from which the message was forwarded.

#### authorSignature

    public java.lang.String authorSignature

Post author signature.

#### date

    public int date

Point in time (Unix timestamp) when the message was originally sent.

#### messageId

    public long messageId

Message identifier of the original message from which the new message was forwarded; 0 if unknown.

#### forwardedFromChatId

    public long forwardedFromChatId

For messages forwarded to the chat with the current user (saved messages), the identifier of the chat from which the message was forwarded; 0 if unknown.

#### forwardedFromMessageId

    public long forwardedFromMessageId

For messages forwarded to the chat with the current user (saved messages), the identifier of the original message from which the new message was forwarded; 0 if unknown.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### MessageForwardedPost

    public MessageForwardedPost()

Default constructor.

#### MessageForwardedPost

    public MessageForwardedPost​(long chatId,
                                java.lang.String authorSignature,
                                int date,
                                long messageId,
                                long forwardedFromChatId,
                                long forwardedFromMessageId)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Identifier of the chat from which the message was forwarded.
  `authorSignature` - Post author signature.
  `date` - Point in time (Unix timestamp) when the message was originally sent.
  `messageId` - Message identifier of the original message from which the new message was forwarded; 0 if unknown.
  `forwardedFromChatId` - For messages forwarded to the chat with the current user (saved messages), the identifier of the chat from which the message was forwarded; 0 if unknown.
  `forwardedFromMessageId` - For messages forwarded to the chat with the current user (saved messages), the identifier of the original message from which the new message was forwarded; 0 if unknown.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR